%define         gst_minver      0.8.0
%define         gstp_minver     0.8.0
%define         majorminor      0.8
%define         gstreamer       gstreamer
%define         register        %{_bindir}/gst-register-%{majorminor} >/dev/null 2>&1 || :

Name:		%{gstreamer}-monkeysaudio
Version:	0.8.0
Release:	1
Summary:	GStreamer decoder plugin for Monkey's Audio


Group:		Applications/Multimedia
License:	Special
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://gstreamer.freedesktop.org/src/gst-monkeysaudio/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	%{gstreamer}-devel >= %{gst_minver}

Requires:	%{gstreamer}-plugins >= %{gstp_minver}
Requires(pre):	%{_bindir}/gst-register-%{majorminor}
Requires(post):	%{_bindir}/gst-register-%{majorminor}

%description
This package contains a library for Monkey's Audio for Linux and 
a decoder plugin for GStreamer.
decoder and encoder plugins for GStreamer.
The library code comes under a special license so be sure to check 
that before touching the code.

%prep
%setup -q 

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{register}

%postun
%{register}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%doc libmonkeysaudio/LICENSE.libmonkeysaudio MAINTAINERS
%{_libdir}/gstreamer-%{majorminor}/libgstmonkeysaudio.so

%changelog
* Wed Mar 17 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Cleanups

* Mon Apr 21 2003 Christian F.K. Schaller <Uraeus@linuxrising.org>
- First attempt at spec
